Subject: Re: HELP - Profuse sweating - EMBARASSING

From: [email-masked] (Mark Salomon)
Date: 13 Aug 1995 15:53:30 -0400

John R. Snead ([email-masked]) wrote:
: Sage tea also works.  1 tsp sage made as tea in 1 cup of water, try this 
: once/day for awhile.
: 
I have a lot of sage, but I really do dislike sage tea.  I can drink it
only if I add a sprig of peppermint.

So, Do the chemicals in peppermint neutralize the chemicals is sage?

Also, someone posted that sage contains a toxic chemical.  Is this true
Is this true in the amounts that I would consume In a tea?